Package com.opensymphony.sitemesh.webapp.decorator

# Class BaseWebAppDecorator

java.lang.Object
com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator

All Implemented Interfaces:
  `Decorator`

Direct Known Subclasses:
  `DispatchedDecorator`, `NoDecorator`, `OldDecorator2NewDecorator`

public abstract class BaseWebAppDecorator extends Object implements Decorator
Convenient base class for all Java web-app based decorators that make use of the Servlet API.

Since:
  SiteMesh 3.0
Author:
  Joe Walnes

## Constructor Summary

Constructors
Constructor
Description
`BaseWebAppDecorator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`render(Content content, SiteMeshContext context)`
`protected abstract void`
`render(Content content, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext, SiteMeshWebAppContext webAppContext)`
More convenient version of `render(com.opensymphony.sitemesh.Content, com.opensymphony.sitemesh.SiteMeshContext)` suited for Servlet API calls.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BaseWebAppDecorator

public BaseWebAppDecorator()

## Method Details

### render

protected abstract void render(Content content, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext, SiteMeshWebAppContext webAppContext) throws IOException, javax.servlet.ServletException
More convenient version of `render(com.opensymphony.sitemesh.Content, com.opensymphony.sitemesh.SiteMeshContext)` suited for Servlet API calls.

Throws:
  `IOException`
  `javax.servlet.ServletException`

### render

public void render(Content content, SiteMeshContext context)

Specified by:
  `render` in interface `Decorator`